Subject: Re: probs porting ssh
From: [email-masked] (aspa)

20 Feb 1997 01:44:02 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Tue, 18 Feb 1997, Sheik wrote:

>   It appears that what ssh does is add the stdin fd to its fd_set's  
> (readables) for select()'ing on. And when it does that, select() errors out, 

when ssh enters the client loop it adds the fileno(stdin) to its select()
readset. this is no problem. but it also adds a few sockets to this set. 
the problem is that cygwin32 api's select() doesn't support sockets and
filehandles simultaniously in select() sets. 

> into an indefinate select(), and still detect when input is ready from stdin?
> so, one of my questions is, how do I go about having ssh go

this is what the ssh does.

>   What I was going to do, was cheat, and make a timeout for the select(), 
> and just simply check stdin each time select() times out, (I have NO idea 
> if this is good or bad, or will cause cpu usage to go sky high, I just 
> wanted to see if it worked) it *does* timeout, and goes into a check against
> stdin by read()'ing the fd.

timeouts don't solve this problem.

> NOW I have another prob =)  it seems that the default way that ssh puts 
> for setting up blocking/non-blocking is *wrong*, so I mucked around with 
> it, trying different ways to get our sockets to set up for 

in what way should ssh behave then?

--
		aspa

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".